%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version:        0.3.1
Release:        6%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://pypi.python.org/pypi/tripleo-common
Source0:        https://pypi.python.org/packages/source/t/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

# patches_base=+2
Patch0001: 0001-Revert-undo-setuptools-cfg-munging.patch
Patch0002: 0002-Build-image-files-from-definitions-in-yaml.patch
Patch0003: 0003-Log-diskimage-builder-output-to-a-file.patch
Patch0004: 0004-Fix-interactive-update-race-condition.patch
Patch0005: 0005-Ignore-changes-to-images-in-nova-servers.patch
Patch0006: 0006-Catch-NotFound-when-listing-events-during-updates.patch
Patch0007: 0007-Handle-re-created-resources-in-StackUpdateManager.patch
Patch0008: 0008-Add-parameters-option-in-the-update.PackageUpdateMan.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-heatclient

Provides:  tripleo-common = %{version}-%{release}
Provides:  tripleo-common

%prep
%autosetup -n %{upstream_name}-%{version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%description
Python library for code used by TripleO projects.

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*
%{_datadir}/tripleo-common
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_bindir}/*


%changelog
* Tue Mar 06 2018 Mathieu Bultel <mbultel@redhat.com> 0.3.1-6
- Add parameters option in the update.PackageUpdateManager function (rhbz#1550087)

* Sun Dec 03 2017 Mike Burns <mburns@redhat.com> 0.3.1-5
- Handle re-created resources in StackUpdateManager rhbz#1520109

* Thu Feb 23 2017 Mike Burns <mburns@redhat.com> 0.3.1-4
- Catch NotFound when listing events during updates rhbz#1413508

* Thu Jan 19 2017 Mike Burns <mburns@redhat.com> 0.3.1-3
- Ignore changes to images in nova servers rhbz#1409851

* Tue Jan 03 2017 Mike Burns <mburns@redhat.com> 0.3.1-2
- Fix interactive update race condition rhbz#1381317

* Wed Mar 23 2016 James Slagle <jslagle@redhat.com> 0.3.1-1
- Update to 0.3.1

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.3.0-3
- Only package files in %{_bindir}

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.3.0-2
- Package scripts installed in to bin

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.3.0-1
- Update to 0.3.0

* Tue Mar 08 2016 James Slagle <jslagle@redhat.com> 0.2.1-1
- Update to 0.2.1

* Tue Mar 01 2016 James Slagle <jslagle@redhat.com> 0.2.0-1
- Update to 0.2.0

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.1.1-1
- Update to 0.1.1

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-8
- Adds a simple overcloud tenant vm ping test to tripleo.sh

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-7
- Adds a simple overcloud tenant vm ping test to tripleo.sh
- Update the container flag
- Deploy Docker compute role with tripleo.sh
- Remove stable/liberty pin
- Pin stable/liberty repo
- tripleo.sh add option to delete overcloud
- Don't install git-hg
- [stable/liberty]Fix node group name when deleting a node
- Fix cherry-pick comments
- Set origin/stable/liberty to the REF we want to build
- tripleo.sh set priorities for stable repos

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.0.2-6
- Update to 0.0.2

* Tue Dec 08 2015 James Slagle <jslagle@redhat.com> 0.0.2-5
- Set a default timeout for 240 minutes for Heat Updates

* Wed Dec 02 2015 Ben Nemec <bnemec@redhat.com> - 0.0.2-4
- Switch to upstream stable/liberty

* Thu Nov 05 2015 Mike Burns <mburns@redhat.com> - 0.0.1-3
- Fix Provides

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.0.1-2
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Wed Apr 15 2015 Jan Provaznik <jprovazn@redhat.com> - 0.0.1-1
- Initial package build

